DRM_FB_HELPER_INIT(9)

NAME
drm_fb_helper_init - initialize a drm_fb_helper structure

SYNOPSIS

int drm_fb_helper_init(struct drm_device * dev, struct drm_fb_helper * fb_helper, int crtc_count, int max_conn_count);

ARGUMENTS

dev
    drm device

fb_helper
    driver-allocated fbdev helper structure to initialize

crtc_count
    maximum number of crtcs to support in this fbdev emulation

max_conn_count
    max connector count

DESCRIPTION

This allocates the structures for the fbdev helper with the given limits. Note that this won't yet touch the hardware (through the driver interfaces) nor register the fbdev. This is only done in drm_fb_helper_initial_config to allow driver writes more control over the exact init sequence.

Drivers must call drm_fb_helper_prepare before calling this function.

RETURNS

Zero if everything went ok, nonzero otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT